Skip to main content
Get a paged array of busy-time-types
curl --request GET \
  --url https://api.splose.com/v1/busy-time-types \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "title": "Meeting",
      "color": "#72a2c3",
      "duration": 60,
      "note": "Daily stand-up",
      "deletedAt": "2023-07-30T09:00:00.000Z",
      "isUtilisationIncluded": false,
      "archived": false,
      "createdAt": "2023-07-30T09:00:00.000Z",
      "updatedAt": "2023-07-30T09:00:00.000Z"
    }
  ],
  "links": {
    "previousPage": "/v1/${object_type}?id_gt=200",
    "nextPage": "/v1/${object_type}?id_lt=100"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id_gt
integer | null

The starting object id of the next page

Example:

200

id_lt
integer | null

The starting object id of the previous page

Example:

100

update_gt

Search for objects updated after this date time

Example:

"2023-07-30T09:00:00.000Z"

update_lt

Search for objects updated before this date time

Example:

"2023-07-30T09:00:00.000Z"

include_archived
enum<string> | null
default:false

Whether archived objects should be retrieved, default is false

Available options:
true,
false
title
string | null

Busy time type title

Example:

"Meeting"

isUtilisationIncluded
boolean | null
default:false

Whether this busy time type includes utilisation

Response

200 - application/json

A paged array of busy-time-types

data
object[]
required